Gimp GIF feldolgozás “LZWReadByte()” puffer túlcsordulás sérülékenység

CH azonosító

CH-5376

Angol cím

Gimp GIF Processing "LZWReadByte()" Buffer Overflow Vulnerability

Felfedezés dátuma

2011.08.14.

Súlyosság

Közepes

Érintett rendszerek

GIMP
The GIMP Team

Érintett verziók

GIMP 2.x

Összefoglaló

A Gimp olyan sérülékenysége vált ismertté, amelyet a támadók kihasználhatnak a felhasználó rendszerének a feltörésére.

Leírás

A sérülékenységet a “LZWReadByte()” függvény (plug-ins/common/file-gif-load.c) hibája okozza, amely kihasználható puffer túlcsordulás okozására, amennyiben a felhasználó megnyit egy erre a célra kialakított GIF képet.

A sérülékenységet a 2.6.11. verzióban ismerték fel, de más verziók is érintettek lehetnek.

Megoldás

Javítva a fejlesztői verzióban.